=== ip/Makefile ===
#IPOBJ=ip.o ipaddress.o ipaddrlabel.o iproute.o iprule.o ipnetns.o \
#    rtm_map.o iptunnel.o ip6tunnel.o tunnel.o ipneigh.o ipntable.o iplink.o \
#    ipmaddr.o ipmonitor.o ipmroute.o ipprefix.o iptuntap.o iptoken.o \
#    ipxfrm.o xfrm_state.o xfrm_policy.o xfrm_monitor.o \
#    iplink_vlan.o link_veth.o link_gre.o iplink_can.o \
#    iplink_macvlan.o iplink_macvtap.o ipl2tp.o link_vti.o \
#    iplink_vxlan.o tcp_metrics.o iplink_ipoib.o ipnetconf.o link_ip6tnl.o \
#    link_iptnl.o link_gre6.o iplink_bond.o iplink_bond_slave.o iplink_hsr.o

TURNKEY_ROOTDIR = $(shell pwd)/../../../..
ROOTDIR     := $(TURNKEY_ROOTDIR)/kernel/uClinux
SQFSDIR     := $(ROOTDIR)/sqfs
ROMFSDIR    := $(ROOTDIR)/romfs

IPOBJ=ip.o ipaddress.o ipaddrlabel.o iproute.o iprule.o \
    rtm_map.o iptunnel.o ip6tunnel.o tunnel.o ipneigh.o ipntable.o iplink.o \
    ipmaddr.o ipmonitor.o ipmroute.o ipprefix.o iptuntap.o iptoken.o \
    ipxfrm.o xfrm_state.o xfrm_policy.o xfrm_monitor.o \
    iplink_vlan.o link_veth.o link_gre.o iplink_can.o \
    iplink_macvlan.o iplink_macvtap.o ipl2tp.o link_vti.o \
    iplink_vxlan.o tcp_metrics.o iplink_ipoib.o ipnetconf.o link_ip6tnl.o \
    link_iptnl.o link_gre6.o iplink_bond.o iplink_bond_slave.o iplink_hsr.o

RTMONOBJ=rtmon.o

include ../Config

ifeq ($(IP_CONFIG_SETNS),y)
	CFLAGS += -DHAVE_SETNS
endif

#ALLOBJ=$(IPOBJ) $(RTMONOBJ)
ALLOBJ=$(IPOBJ)
SCRIPTS=ifcfg rtpr routel routef
#TARGETS=ip rtmon
TARGETS=ip

all: $(TARGETS) $(SCRIPTS)

ip: $(IPOBJ) $(LIBNETLINK)

rtmon: $(RTMONOBJ)

install: all
	install -m 0755 $(TARGETS) $(DESTDIR)$(SBINDIR)
	install -m 0755 $(SCRIPTS) $(DESTDIR)$(SBINDIR)

clean:
	rm -f $(ALLOBJ) $(TARGETS)

SHARED_LIBS ?= y
ifeq ($(SHARED_LIBS),y)

LDLIBS += -ldl
LDFLAGS += -Wl,-export-dynamic

else

ip: static-syms.o
static-syms.o: static-syms.h
static-syms.h: $(wildcard *.c)
	files="$^" ; \
	for s in `grep -B 3 '\<dlsym' $$files | sed -n '/snprintf/{s:.*"\([^"]*\)".*:\1:;s:%s::;p}'` ; do \
		sed -n '/'$$s'[^ ]* =/{s:.* \([^ ]*'$$s'[^ ]*\) .*:extern char \1[] __attribute__((weak)); if (!strcmp(sym, "\1")) return \1;:;p}' $$files ; \
	done > $@

endif

romfs:
	$(SYSINSTALL) ip
	$(SYSROMFSINST) /bin/ip
