=== debian/changelog ===
frr (2.0) Released; urgency=medium

  * Switchover to FRR

 -- frr <frr@lists.nox.tf> Mon, 23 Jan 2017 16:30:22 -0400

quagga (0.99.24+cl3u5) RELEASED; urgency=medium

  * Closes: CM-12846 - Resolve Memory leaks in 'show ip bgp neighbor json'
  * Closes: CM-5878  - Display all ospf peers with 'show ip ospf neighbor detail all'
  * Closes: CM-5794  - Add support for IPv6 static to null0
  * Closes: CM-13060 - Reduce JSON memory usage.
  * Closes: CM-10394 - protect 'could not get instance' error messages with debug
  * Closes: CM-11173 - Move netlink error messages undeer a debug
  * Closes: CM-13328 - Fixes route missing in hardware after reboot

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 11 Nov 2016 22:13:29 -0400

quagga (0.99.24+cl3u4) RELEASED; urgency=medium

  * Closes: CM-12687 - Buffer overflow in zebra RA code

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 31 Aug 2016 12:36:10 -0400

quagga (0.99.24+cl3u3) RELEASED; urgency=medium

  * New Enabled: Merge up-to 0.99.24 code from upstream
  * New Enabled: Additional CLI simplification
  * New Enabled: Various Bug Fixes

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 04 Aug 2016 08:43:36 -0700

quagga (0.99.23.1-1+cl3u2) RELEASED; urgency=medium

  * New Enabled: VRF - See Documentation for how to use 
  * New Enabled: Improved interface statistics
  * New Enabled: Various vtysh improvements
  * New Enabled: Numerous compile warnings and SA fixes
  * New Enabled: Improved priviledge handlingA
  * New Enabled: Various OSPF CLI fixes
  * New Enabled: Prefix-list Performance Improvements.
  * New Enabled: Allow more than 1k peers in Quagga
       and Performance Improvements
  * New Enabled: Systemd integration
  * New Enabled: Various ISIS fixes
  * New Enabled: BGP MRT improvements
  * New Enabled: Lowered default MRAI timers
  * New Enabled: Lowered default 'timers connect'
  * New Enabled: 'bgp log-neighbor-changes' enabled by default
  * New Enabled: BGP default keepalive to 3s and holdtime to 9s
  * New Enabled: OSPF spf timers are now '0 50 5000' by default
  * New Enabled: BGP hostname is displayed by default
  * New Enabled: BGP 'no-as-set' is the default for 
       'bgp as-path multipath-relax"
  * New Enabled: RA is on by default if using 5549 on an interface
  * New Enabled: peer-group restrictions relaxed, update-groups determine
       outbund policy anyway
  * New Enabled: BGP enabled 'maximum-paths 64' by default
  * New Enabled: OSPF "log-adjacency-changes" on by default
  * New Enabled: Zebra: Add IPv6 protocol filtering support
  *    and setting src of IPv6 routes.
  * New Enabled: BGP and OSPF JSON commands added.
  * New Enabled: BGP Enable multiple instances support by default
  * New Enabled: 'banner motd file' command
  * New Enabled: Remove bad default passwords from default conf
  * New Enabled: BGP addpath TX
  * New Enabled: Simplified configuration for BGP Unnumbered

  * New Deprecated: Remove unused 'show memory XXX' functionality
  * New Deprecated: Remove babel protocol

  * Closes: CM-10435 Addition on hidden command
        "bfd multihop/singlehop" and "ptm-enable" per interface command
  * Closes: CM-9974  Get route counts right for show ip route summary
  * Closes: CM-9786  BGP memory leak in peer hostname
  * Closes: CM-9340  BGP: Ensure correct sequence of processing at exit
  * Closes: CM-9270  ripd: Fix crash when a default route is passed to rip 
  * Closes: CM-9255  BGPD crash around bgp_config_write ()  
  * Closes: CM-9134  ospf6d: Fix for crash when non area 0 network
       entered first
  * Closes: CM-8934  OSPFv3: Check area before scheduling SPF 
  * Closes: CM-8514  zebra: Crash upon disabling a link
  * Closes: CM-8295  BGP crash in group_announce_route_walkcb
  * Closes: CM-8191  BGP: crash in update_subgroup_merge()
  * Closes: CM-8015  lib: Memory reporting fails over 2GB
  * Closes: CM-7926  BGP: crash from not NULLing freed pointers

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 04 May 2016 16:22:52 -0700

quagga (0.99.23.1-1) unstable; urgency=medium

  * New upstream release
  * Added .png figures for info files to quagga-doc package.
  * Changed dependency from iproute to iproute2 (thanks to Andreas
    Henriksson). Closes: #753736
  * Added texlive-fonts-recommended to build-depends to get ecrm1095 font
    (thanks to Christoph Biedl). Closes: #651545

 -- Christian Brunotte <ch@debian.org>  Tue, 30 Sep 2014 00:20:12 +0200

quagga (0.99.23-1) unstable; urgency=low

  * New upstream release
  * Removed debian/patches/readline-6.3.diff which was already in upstream.

 -- Christian Hammers <ch@debian.org>  Tue, 08 Jul 2014 09:15:48 +0200

quagga (0.99.22.4-4) unstable; urgency=medium

  * Fix build failure with readline-6.3 (thanks to Matthias Klose).
    Closes: #741774

 -- Christian Hammers <ch@debian.org>  Sun, 23 Mar 2014 15:28:42 +0100

quagga (0.99.22.4-3) unstable; urgency=low

  * Added status to init script (thanks to Peter J. Holzer). Closes: #730625 
  * Init script now sources /lib/lsb/init-functions.
  * Switched from hardening-wrapper to dpkg-buildflags. 

 -- Christian Hammers <ch@debian.org>  Wed, 01 Jan 2014 19:12:01 +0100

quagga (0.99.22.4-2) unstable; urgency=low

  * Fixed typo in package description (thanks to Davide Prina). 
    Closes: #625860
  * Added Italian Debconf translation (thanks to Beatrice Torracca)
    Closes: #729798

 -- Christian Hammers <ch@debian.org>  Tue, 26 Nov 2013 00:47:11 +0100

quagga (0.99.22.4-1) unstable; urgency=high

  * SECURITY:
    "ospfd: CVE-2013-2236, stack overrun in apiserver

    the OSPF API-server (exporting the LSDB and allowing announcement of
    Opaque-LSAs) writes past the end of fixed on-stack buffers.  This leads
    to an exploitable stack overflow.
 
    For this condition to occur, the following two conditions must be true:
    - Quagga is configured with --enable-opaque-lsa
    - ospfd is started with the "-a" command line option
    

